#!/bin/bash

#
#SBATCH -D /mnt/pool/nica/8/parfenovpeter/TMP
#SBATCH -J run_converter
#SBATCH -p fast
#SBATCH -a 1-100
#
#SBATCH -o /mnt/pool/nica/7/parfenovpeter/TMP/slurm_%A_%a.out
#SBATCH -e /mnt/pool/nica/7/parfenovpeter/TMP/slurm_%A_%a.err
#

export JOB_ID=${SLURM_ARRAY_JOB_ID}
export TASK_ID=${SLURM_ARRAY_TASK_ID}

export ecm=27
export sys=AuAu
export model=STAR

export INPUT_FILELIST=/mnt/pool/nica/8/parfenovpeter/Soft/Unicluster/StAtConverter/batch/star_27gev.list
export CURRENT_FILE=`sed "${TASK_ID}q;d" $INPUT_FILELIST`
export COMMIT=${model}_${sys}_${ecm}gev
export START_POSITION=$PWD
export MAIN_DIR=/mnt/pool/nica/8/parfenovpeter/Soft/Unicluster/StAtConverter/
export JOBID=${JOB_ID}

export OUT=$MAIN_DIR/OUT/$COMMIT/$JOBID
export OUT_LOG=$OUT/log
export OUT_FILE=$OUT/files
export LOG=${OUT_LOG}/JOB_${JOB_ID}_${TASK_ID}.log
export AT_FILE=${OUT_FILE}/JOB_${JOB_ID}_${TASK_ID}.root
export TMPALL=$MAIN_DIR/TMP
export TMPDIR=$TMPALL/TMP_${JOB_ID}_${TASK_ID}

# mkdir -p $TMPDIR
mkdir -p $OUT
mkdir -p $OUT_LOG
mkdir -p $OUT_FILE

source /mnt/pool/nica/8/parfenovpeter/Soft/Unicluster/StAtConverter/SetEnv.sh &>> $LOG
# export ANALYSISTREE_INC=/scratch2/parfenov/Soft/SoftQnTest/testQn/AnalysisTree/install-cxx11/include
# export ANALYSISTREE_LIB=/scratch2/parfenov/Soft/SoftQnTest/testQn/AnalysisTree/install-cxx11/lib

_log() {

local format='+%Y/%m/%d-%H:%M:%S'
echo [`date $format`] "$@"

}

echo "Node host name: $HOSTNAME" &>> $LOG
echo "Node architecture name: $ARC" &>> $LOG

echo "Current file: $CURRENT_FILE" &>>$LOG

cd $MAIN_DIR/build/

./St2At -i $CURRENT_FILE -o $AT_FILE --sqrtSnn $ecm --system $sys &>> $LOG

cd $START_POSITION
_log "Job is done!" &>> $LOG
